curl --request PUT \
--url https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id} \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}"
payload = {
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 123,
carrier_id: 123,
description: '<string>',
zipcode_min: 123,
zipcode_max: 123,
min_weight: 123,
max_weight: 123,
price: 123,
extra_weight_price: 123,
delivery_days: 123,
increment_percent: 123
})
};
fetch('https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 123,
'carrier_id' => 123,
'description' => '<string>',
'zipcode_min' => 123,
'zipcode_max' => 123,
'min_weight' => 123,
'max_weight' => 123,
'price' => 123,
'extra_weight_price' => 123,
'delivery_days' => 123,
'increment_percent' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}"
payload := strings.NewReader("{\n \"id\": 123,\n \"carrier_id\": 123,\n \"description\": \"<string>\",\n \"zipcode_min\": 123,\n \"zipcode_max\": 123,\n \"min_weight\": 123,\n \"max_weight\": 123,\n \"price\": 123,\n \"extra_weight_price\": 123,\n \"delivery_days\": 123,\n \"increment_percent\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 123,\n \"carrier_id\": 123,\n \"description\": \"<string>\",\n \"zipcode_min\": 123,\n \"zipcode_max\": 123,\n \"min_weight\": 123,\n \"max_weight\": 123,\n \"price\": 123,\n \"extra_weight_price\": 123,\n \"delivery_days\": 123,\n \"increment_percent\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 123,\n \"carrier_id\": 123,\n \"description\": \"<string>\",\n \"zipcode_min\": 123,\n \"zipcode_max\": 123,\n \"min_weight\": 123,\n \"max_weight\": 123,\n \"price\": 123,\n \"extra_weight_price\": 123,\n \"delivery_days\": 123,\n \"increment_percent\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}Atualizar preço
Atualiza o preço de frete de uma transportadora específica
curl --request PUT \
--url https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id} \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}"
payload = {
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 123,
carrier_id: 123,
description: '<string>',
zipcode_min: 123,
zipcode_max: 123,
min_weight: 123,
max_weight: 123,
price: 123,
extra_weight_price: 123,
delivery_days: 123,
increment_percent: 123
})
};
fetch('https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 123,
'carrier_id' => 123,
'description' => '<string>',
'zipcode_min' => 123,
'zipcode_max' => 123,
'min_weight' => 123,
'max_weight' => 123,
'price' => 123,
'extra_weight_price' => 123,
'delivery_days' => 123,
'increment_percent' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}"
payload := strings.NewReader("{\n \"id\": 123,\n \"carrier_id\": 123,\n \"description\": \"<string>\",\n \"zipcode_min\": 123,\n \"zipcode_max\": 123,\n \"min_weight\": 123,\n \"max_weight\": 123,\n \"price\": 123,\n \"extra_weight_price\": 123,\n \"delivery_days\": 123,\n \"increment_percent\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 123,\n \"carrier_id\": 123,\n \"description\": \"<string>\",\n \"zipcode_min\": 123,\n \"zipcode_max\": 123,\n \"min_weight\": 123,\n \"max_weight\": 123,\n \"price\": 123,\n \"extra_weight_price\": 123,\n \"delivery_days\": 123,\n \"increment_percent\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 123,\n \"carrier_id\": 123,\n \"description\": \"<string>\",\n \"zipcode_min\": 123,\n \"zipcode_max\": 123,\n \"min_weight\": 123,\n \"max_weight\": 123,\n \"price\": 123,\n \"extra_weight_price\": 123,\n \"delivery_days\": 123,\n \"increment_percent\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}Path Parameters
Alias da loja
ID da transportadora
ID do preço
Body
Representa os dados necessários para criar ou atualizar um preço de transportadora
ID da faixa de preço.
ID da transportadora à qual a faixa pertence. Precisa existir na loja.
Descrição da faixa de preço, usada para identificá-la no cadastro.
CEP inicial do intervalo atendido pela faixa.
CEP final do intervalo atendido pela faixa.
Peso mínimo, em kg, atendido pela faixa.
Peso máximo, em kg, atendido pela faixa.
Preço do frete, em reais, cobrado quando o pedido se encaixa na faixa.
Preço adicional, em reais, cobrado por quilo que exceder o peso da faixa.
Prazo de entrega, em dias, da faixa de preço.
Percentual de acréscimo aplicado sobre o preço desta faixa.
Response
Preço atualizado com sucesso
Faixa de preço de frete de uma transportadora, aplicada por intervalo de CEP e de peso.
ID da faixa de preço.
ID da transportadora à qual a faixa pertence.
Descrição da faixa de preço, usada para identificá-la no cadastro.
CEP inicial do intervalo atendido pela faixa.
CEP final do intervalo atendido pela faixa.
Peso mínimo, em kg, atendido pela faixa.
Peso máximo, em kg, atendido pela faixa.
Preço do frete, em reais, cobrado quando o pedido se encaixa na faixa.
Preço adicional, em reais, cobrado por quilo que exceder o peso da faixa.
Prazo de entrega, em dias, da faixa de preço.
Percentual de acréscimo aplicado sobre o preço desta faixa.
Was this page helpful?